# Installation

{% hint style="warning" %}
Ich empfehle zur Installation von Scripts **WinSCP**

**FileZilla** überträgt in den meisten Fällen einige verschlüsselte Dateien nicht. Dadurch kann es passieren, dass die Scripts nicht funktionieren!
{% endhint %}

## 1. Nitapad herunterladen

Lade das Nitapad Script über unser License Panel herunter.

{% embed url="<https://license.wavecore.dev>" %}

Füge das Nitapad Script (wavecore\_nitapad) anschließend in deine Start Config hinzu.&#x20;

Das Nitapad Script muss **nach** der Framework (z.B. es\_extended) und MySQL (z.B. mysql-async oder oxmysql) Ressource starten.

```
start wavecore_nitapad
```

## 2. SQL einfügen

Führe die SQL aus. Wir empfehlen dort **HeidiSQL**

```sql
-- Nitapad Datenbank Setup
-- Diese Datei wird automatisch beim Server-Start importiert

-- Haupttabelle für Einsatzdokumentation
CREATE TABLE IF NOT EXISTS `nitapad_einsaetze` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `identifier` varchar(64) NOT NULL,
  `einsatznummer` varchar(50) NOT NULL,
  `einsatzort` varchar(20) NOT NULL,
  `funkrufname` varchar(60) NOT NULL,
  `patienten` longtext NOT NULL,
  `einsatzkraefte` longtext NOT NULL,
  `lagebericht` longtext DEFAULT NULL,
  `lageberichte` longtext DEFAULT NULL,
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  KEY `idx_einsaetze_identifier` (`identifier`),
  KEY `idx_einsaetze_einsatznummer` (`einsatznummer`),
  KEY `idx_einsaetze_created_at` (`created_at`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- Triage-Tabelle für Spieler-Triage
CREATE TABLE IF NOT EXISTS `nitapad_triage` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `player_id` int(11) NOT NULL,
  `triage_kategorie` varchar(20) NOT NULL,
  `triage_notiz` text DEFAULT NULL,
  `triage_nummer` int(11) NOT NULL,
  `zugewiesen_von` int(11) NOT NULL,
  `zugewiesen_am` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  KEY `player_id` (`player_id`),
  KEY `triage_nummer` (`triage_nummer`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- Behandlungsverlauf-Tabelle (falls nicht bereits vorhanden)
CREATE TABLE IF NOT EXISTS `nitapad_behandlungsverlauf` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `patient_id` varchar(50) NOT NULL,
  `behandlungstyp` varchar(100) NOT NULL,
  `behandlungsdatum` date NOT NULL,
  `kosten` int(11) NOT NULL DEFAULT 0,
  `dokumentiert_von` varchar(100) NOT NULL,
  `dokumentiert_am` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  KEY `patient_id` (`patient_id`),
  KEY `behandlungsdatum` (`behandlungsdatum`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

-- Index für bessere Performance
CREATE INDEX IF NOT EXISTS `idx_nitapad_einsaetze_einsatznummer` ON `nitapad_einsaetze` (`einsatznummer`);
CREATE INDEX IF NOT EXISTS `idx_nitapad_einsaetze_created_at` ON `nitapad_einsaetze` (`created_at`);
CREATE INDEX IF NOT EXISTS `idx_nitapad_triage_player_id` ON `nitapad_triage` (`player_id`);
CREATE INDEX IF NOT EXISTS `idx_nitapad_behandlungsverlauf_patient_id` ON `nitapad_behandlungsverlauf` (`patient_id`);
```

## 3. Prop Installation

Für die Prop / Emote Installation ist rpemotes oder dpemotes nötig.

Beispiel rpremots\_reborn:

1. Installiere die Emotes unter rpemotes\_reborn → cleint → AnimationList.lua

```lua
   -- Setze das irgendwo ein
   ["nita"] = { -- Tragbare Version
        "move_weapon@jerrycan@generic",
        "idle",
        "Nitapad",
        AnimationOptions =
        {
            Prop = "prop_cs_tablet",
            PropBone = 28422,
            PropPlacement = {
                0.15,
                0.0,
                -0.05,
                264.0,
                188.0,
                -4.0
            },
            EmoteLoop = true,
            EmoteMoving = true
        }
    },
-- Suche tablet2 und ersetze es mit dem Codeblock
    ["tablet2"] = {
        "amb@code_human_in_bus_passenger_idles@female@tablet@idle_a",
        "idle_a",
        "Tablet 2",
        AnimationOptions = {
            Prop = "prop_cs_tablet",
            PropBone = 28422,
            PropPlacement = {
                0.0,
                0.0,
                0.0,
                -0.5,
                -90.0,
                0.0
            },
            EmoteLoop = true,
            EmoteMoving = true
        }
    },
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wavecore.dev/wavecore/nitapad/installation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
